# Uses of Class
org.apache.lucene.analysis.ja.JapaneseNumberFilter.NumberBuffer

Packages that use JapaneseNumberFilter.NumberBuffer
Package
Description
org.apache.lucene.analysis.ja
Analyzer for Japanese.

- ## Uses of JapaneseNumberFilter.NumberBuffer in org.apache.lucene.analysis.ja

  Methods in org.apache.lucene.analysis.ja with parameters of type JapaneseNumberFilter.NumberBuffer
  Modifier and Type
  Method
  Description
  `BigDecimal`
  JapaneseNumberFilter.`parseLargeKanjiNumeral(JapaneseNumberFilter.NumberBuffer buffer)`
  Parse large kanji numerals (ten thousands or larger)
  `BigDecimal`
  JapaneseNumberFilter.`parseMediumKanjiNumeral(JapaneseNumberFilter.NumberBuffer buffer)`
  Parse medium kanji numerals (tens, hundreds or thousands)